Timekit developers

GET /events/availability

This endpoint makes it possible to get anonymized availability for other users on the Timekit platform. This is especially handy for scheduling apps where a user want to "overlay" contacts calendars with their own.

Endpoint

GET https://api.timekit.io/v2/events/availability

Parameters

Name In Type Required Default Description
start timestamp yes Start looking from this timestamp
end timestamp yes Stop looking from this timestamp
email string yes Email of the contact you want availability from

Response examples

200

json
{
  "data": [
    {
      "what": "Peter is busy!",
      "where": "Undisclosed",
      "start": "2015-04-04T09:00:00+00:00",
      "end": "2015-04-04T10:00:00+00:00",
      "allDay": false
    },
    {
      "what": "Peter is busy!",
      "where": "Undisclosed",
      "start": "2015-03-28T16:00:00+00:00",
      "end": "2015-03-28T17:00:00+00:00",
      "allDay": false
    },
    {
      "what": "Peter is busy!",
      "where": "Undisclosed",
      "start": "2015-04-06T16:00:00+00:00",
      "end": "2015-04-06T20:30:00+00:00",
      "allDay": false
    },
    {
      "what": "Peter is busy!",
      "where": "Undisclosed",
      "start": "2015-03-30T22:00:00+00:00",
      "end": "2015-03-30T23:30:00+00:00",
      "allDay": false
    }
  ]
}

422

json
{
  "errors": {
    "start": [
      "The start field is required."
    ],
    "end": [
      "The end field is required."
    ],
    "email": [
      "The email field is required."
    ]
  }
}